aexml(1)

NAME
aexml - Aegis database to XML

SYNOPSIS
aexml [ option... ] listname
aexml -Help
aexml -List
aexml -VERSion

DESCRIPTION
The aexml command is used to extract portions of Aegis' database in XML format.

  List Names
The following list names may be given

Change_Files
    Internal change file state. See aefstate(5) for structure.

Change_State
    Internal change state. See aecstate(5) for structure.

Projects
    List of projects. See aegstate(5) for structure.

Project_Change_State
    Internal project change state. See aecstate(5) for structure.

Project_Config_File
    The project configuration file. See aepconf(5) for structure.

Project_Files
    Internal project file state. See aefstate(5) for structure.

Project_State
    Internal project state. See aepstate(5) for structure.

The abbreviations foe the list names follows the same rules as for command line options.

OPTIONS
The following options are understood:

-Help
    This option may be used to obtain more information about how to use the aexml program.

-List
    This option may be used to obtain a list of suitable subjects for this command. The list may be more general than expected.

-Output filename
    This option may be used to specify the output file. The output is sent to the standard output by default. If the file name ends with ".gz" it will be compressed with the gzip(1) algorithm, if it ends with ".bz" or ".bz2" it will be compressed with the bzip2(1) algorithm.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aexml are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The aexml command will exit with a status of 1 on any error. The aexml command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

COPYRIGHT
aexml version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aexml program comes with ABSOLUTELY NO WARRANTY; for details use the 'aexml -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aexml -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/